package org.nl.acs.device_driver.yinfei.ssx;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device_driver.yinfei.hj1.ItemProtocol;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 输送线驱动定义
 * 说明：该站点为输送线驱动
 */
@Service
public class SsxControlDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "ssx";
    }

    @Override
    public String getDriverName() {
        return "输送线对接位";
    }

    @Override
    public String getDriverDescription() {
        return "输送线对接位";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new SsxDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return SsxDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }


    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
